For the complete documentation index, see llms.txt. This page is also available as Markdown.

Profrakt

Profrakt

List of Profrakt Pickup Locations

post
/tenants/{tenantUid}/profrakt-pickup-locations

Get a list of Profrakt Pickup Locations

Authorizations
AuthorizationstringRequired

Token received from the auth service

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Body

Profrakt Pickup Location request Schema

postalCodestringRequired
citystringRequired
countryCodestringRequired
carrierstringRequired
addressstringOptional
Responses
200

Example response

application/json
numberstringRequired
namestringRequired
address1stringRequired
address2stringRequired
postalCodestringRequired
countryCodestringRequired
distanceInKmnumber · doubleRequired
citystringRequired
post/tenants/{tenantUid}/profrakt-pickup-locations
POST /v2/tenants/{tenantUid}/profrakt-pickup-locations HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 90

{
  "postalCode": "text",
  "city": "text",
  "countryCode": "text",
  "carrier": "text",
  "address": "text"
}
200

Example response

[
  {
    "number": "text",
    "name": "text",
    "address1": "text",
    "address2": "text",
    "postalCode": "text",
    "countryCode": "text",
    "distanceInKm": 1,
    "city": "text"
  }
]

Last updated